TAAS - Feature #34

IATA Master
08/26/2022 05:38 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 08/26/2022
Priority: Normal Due date: 08/30/2022
Assignee: Athira KK % Done: 90%
Category: Estimated time: 24:00 hours
Target version: 22.12 Spent time: 36:00 hours
Owner(Agency): Travvise Tested By: Arathy PS
Time Taken(HH): Code Reviewed By:

Module: Own IATA

Description

coding Own lata

History

#1 - 08/27/2022 09:39 AM - Christy Saint
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#2 - 08/30/2022 06:31 PM - Christy Saint
- Status changed from Coding Started to Particialy Coding Done
- % Done changed from 40 to 30

#3 - 11/04/2022 05:29 PM - Christy Saint
- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

#4 - 11/04/2022 05:31 PM - Christy Saint
- Status changed from Reopen Bugs to Coding Done

- % Done changed from 50 to 60

#5 - 11/07/2022 05:09 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUNDED *****
1.SET MANDATORY FIELD RED

#6 - 11/08/2022 04:44 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#7 - 11/10/2022 04:12 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED *****
1.SET MANDATORY FIELD RED

#8 - 11/10/2022 04:16 PM - Amal Cyriac
ISSUE FOUND *****
1.SET LIMIT ON IATA NUMBER

#9 - 11/28/2022 02:18 PM - Amal Cyriac

ISSUE FOUND *****
1.SET MANDATORY FIELD RED AND REQUIRED

#10 - 12/03/2022 11:50 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#11 - 01/14/2023 03:50 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.SET MINIMUM DIGIT VALIDATION ON IATA NUMBER
( DONT ALLOW UPDATE INVALID IATA)

2.SET PROPER TRANSLATIONS (ARABIC)

#12 - 01/16/2023 11:41 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 01/16/2023 04:07 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.SET MINIMUM LENGTH ON IATA NUMBER

#14 - 01/16/2023 04:38 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 03/11/2023 05:08 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix duplication bugs on grid
(Sort--> Update)

2.Set An Alert on IATA Number
(IATA number should be 10 digit)

#16 - 03/11/2023 07:04 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 07/21/2023 05:55 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.DATA DISAPPEARING WHILE ADDING TYPE
#18 - 07/24/2023 07:32 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 09/05/2023 05:55 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CHANGE CAPITAL LETTER TO IATA NAME IN PRINT

#20 - 09/26/2023 09:53 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#21 - 10/16/2023 12:57 PM - unnikannan S
- Subject changed from Own lata to IATA Master

#22 - 10/25/2023 11:54 AM - unnikannan S
TESTING DONE

#23 - 01/09/2024 06:10 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

GUI CHANGES

Done 1) Add New Tab Department Right of branch.
DOne 2) Change Type Options to -> Own IATA, Others IATA

#24 - 01/09/2024 06:16 PM - Junaid M

- Assignee changed from Christy Saint to Baseem Shan

#25 - 01/12/2024 10:41 AM - Anil KV

- Assignee changed from Baseem Shan to Amal Siby

#26 - 01/16/2024 03:47 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#27 - 03/25/2024 12:27 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

Fixed 1.FIX BUGS ON DEPARTMENT MULTY SELECTION IN Ul

#28 - 03/26/2024 04:07 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#29 - 03/26/2024 05:17 PM - unnikannan S
TESTING DONE

#30 - 04/06/2024 02:50 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

GUI Changes

1) Add Branch Select box after Type. Show branch if Type=Own IATA. Mandatory field

#31 - 04/06/2024 02:51 PM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#32 - 04/06/2024 03:57 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

GUI Changes DONE

1) Add Branch Select box after Type. Show branch if Type=Own IATA. Mandatory field

#33 - 04/08/2024 10:54 AM - unnikannan S
TESTING DONE

#34 - 09/11/2024 07:31 PM - unnikannan S
- Status changed from New Changes Coding Done to Testing Done

- % Done changed from 70 to 90

#35 - 11/14/2024 04:06 PM - unnikannan S

- Status changed from Testing Done to Reopen Bugs Testing Done

#36 - 12/28/2024 02:01 PM - Arathy PS

- Status changed from Reopen Bugs Testing Done to New Changes
- Assignee changed from Vivekp V to Athira KK

- % Done changed from 90 to 50

NEW CHANGES

1. After type add a new field IATA Country (entry commission)

#37 - 12/30/2024 02:50 PM - Athira KK
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#38 - 01/14/2025 06:22 PM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Can't save data when type is: others IATA.

#39 - 01/15/2025 11:51 AM - Athira KK
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#40 - 01/20/2025 02:14 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90
#41 - 02/07/2025 03:23 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

Issue Found

1. On changing an already saved office id from own iata to other iata the branch data is not clearing.

#42 - 02/10/2025 03:31 PM - Athira KK
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#43 - 02/13/2025 10:12 AM - Arathy PS

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By changed from unnikannan S to Arathy PS

ISSUE FOUND

1. Country not showing on edit mode of an IATA.

#44 - 02/14/2025 11:06 AM - Athira KK
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#45 - 02/19/2025 12:50 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#46 - 02/19/2025 12:55 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

Issue found

1)No tooltip for IATA country but blue start is given

#47 - 02/19/2025 02:29 PM - Athira KK
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#48 - 02/20/2025 12:00 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

1-CsModel.cs 1.46 KB 08/26/2022 Anil KV
2-tsModel.ts 1 KB 08/26/2022 Anil KV
3-CsFile.cs 12.1 KB 08/26/2022 Anil KV
4-CsControllerFile.cs 24 KB 08/26/2022 Anil KV
5-TsFile.ts 13.3 KB 08/26/2022 Anil KV
6-HtmiFile.html 1.88 KB 08/26/2022 Anil KV
sql.sql 12.9 KB 08/26/2022 Anil KV
